package net.eidiot.utils
{
	import flash.text.TextField;
	import flash.text.TextFormat;
	/**
	 * An all-static class with methods for working with text and TextField.
	 * 
	 * @author eidiot ( http://eidiot.net )
	 */	
	public class TextUtil
	{
		public static function createLabel(text:String, format:TextFormat = null):TextField
		{
			var tf:TextField = new TextField();
			tf.selectable = false;
			if (format) tf.defaultTextFormat = format;
			tf.text = text;
			tf.width = tf.textWidth + 4;
			tf.height = tf.textHeight + 4;
			return tf;
		}
		public static function createInput(width:Number, format:TextFormat = null, border:Boolean = true):TextField
		{
			var tf:TextField = new TextField();
			if (format) tf.defaultTextFormat = format;
			tf.width = width;
			tf.border = border
			return tf;
		}
		public static function createOutput(width:Number, format:TextFormat = null, text:String = ""):TextField
		{
			var tf:TextField = new TextField();
			if (format) tf.defaultTextFormat = format;
			tf.text = "0";
			tf.width = width;
			tf.height = tf.textHeight + 4;
			tf.text = text;
			return tf;
		}
		public static function createArea(width:Number, height:Number, selectable:Boolean = false, format:TextFormat = null):TextField
		{
			var tf:TextField = new TextField();
			tf.selectable = selectable;
			tf.multiline = true;
			tf.wordWrap = true;
			if (format) tf.defaultTextFormat = format;
			return tf;
		}
	}
}